# LUGUS: Your terminal feeds reader

[![PyPI - Version](https://img.shields.io/pypi/v/lugus.svg?style=for-the-badge)](https://pypi.org/project/lugus)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/lugus.svg?style=for-the-badge)](https://pypi.org/project/lugus)
![PyPI - Downloads](https://img.shields.io/pypi/dm/lugus?style=for-the-badge)


![readme header](https://raw.githubusercontent.com/OpenCode/lugus/main/readme/header.png)

-----

## Installation

/!\ **Lugus currently runs only on GNU/Linux**

```console
pipx install lugus
```

## Screenshot

### Main Screen

![main page screenshot](https://raw.githubusercontent.com/OpenCode/lugus/main/readme/home.png)

### Search

#### Generic Search

![generic search](https://raw.githubusercontent.com/OpenCode/lugus/main/readme/search.png)

#### Title Search

![title search](https://raw.githubusercontent.com/OpenCode/lugus/main/readme/search_title.png)

#### Content Search

![content search](https://raw.githubusercontent.com/OpenCode/lugus/main/readme/search_content.png)

#### Multiple Search

![multi search](https://raw.githubusercontent.com/OpenCode/lugus/main/readme/search_multi.png)

### New Feed Screen

![new feed page screenshot](https://raw.githubusercontent.com/OpenCode/lugus/main/readme/new_feed.png)

#### Configuration Screen

![configuration page](https://raw.githubusercontent.com/OpenCode/lugus/main/readme/config.png)


## Roadmap

- [ ] Feeds management (edit, delete, ...)
- [ ] Import existing OPML files
- [ ] Export feeds as OPML file
- [ ] Set article as unread
- [ ] Set an article as favorite
- [ ] Tags system for articles
- [ ] Add notes on articles
- [ ] Feeds auto-sync
- [ ] Edit existing feeds
- [ ] Support for Windows

## Support

<a href="https://www.buymeacoffee.com/scapigliato" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/lato-violet.png" alt="Buy Me A Coffee" style="height: 51px !important;width: 217px !important;" ></a>

![Liberapay patrons](https://img.shields.io/liberapay/patrons/Scapigliato?style=for-the-badge&logo=liberapay)


## License

`LUGUS` is distributed under the terms of the [MIT](https://spdx.org/licenses/MIT.html) license.

